2018-08-21 19:50 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003851StreetRod2[All Projects] Generalpublic2018-07-31 08:31
ReporterViktor 
Assigned ToStingRayProject InfoStreet Rod 2 (California Dreams)
http://www.whdload.de/games/StreetRod2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003851: Don't work joystick fire button! Only working mouse buttons! The bug is only in
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

Don't work joystick fire button! Only working mouse buttons! The bug is only in the WHD version! Disk or ADF version working good! Plz fix! THX!
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftOther
WHDLoad18.3
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0006145

StingRay (developer)

Nothing to fix here, fire button works without any problems. Patch is more than 6 years old and people sure would have reported such a serious bug already anyway.

note ~0006146

Viktor (reporter)

Hi! The original version working with mouse and joy with A500! Nice, but A600 and A1200 with real floppy dont work! This real bug on games! Street Rod 1 and 2 too! WHD good emulation, like reality! :D This games only A500 working aright! A600 and A1200 it does not work well... is there a possibility WHD on A600 and A1200 to fix this bug? Please help! ;)

note ~0006148

StingRay (developer)

After reading your reply I have checked again and it seems you are right, there is buggy code in the joystick reading routine. I'll fix this! :)

note ~0006149

Viktor (reporter)

Yeah! THX! :)

note ~0006151

StingRay (developer)

Please try attached slave, does it fix the problem?

note ~0006202

Viktor (reporter)

I tested the StreetRod.slave! Working! Nice! Super! Thanks!

note ~0006305

StingRay (developer)

Thanks for testing, updated install package is now available on the WHDLoad site.
+Notes

-Issue History
Date Modified Username Field Change
2018-04-13 11:55 administrator New Issue
2018-04-13 11:55 administrator Status new => assigned
2018-04-13 11:55 administrator Assigned To => StingRay
2018-04-14 13:03 StingRay Status assigned => resolved
2018-04-14 13:03 StingRay Resolution open => no change required
2018-04-14 13:03 StingRay Note Added: 0006145
2018-04-14 14:51 Viktor Note Added: 0006146
2018-04-15 19:45 StingRay Note Added: 0006148
2018-04-15 19:46 StingRay Status resolved => confirmed
2018-04-15 19:48 Viktor Note Added: 0006149
2018-04-15 21:39 StingRay File Added: StreetRod2.slave
2018-04-15 21:39 StingRay Note Added: 0006151
2018-05-16 02:33 Viktor Note Added: 0006202
2018-07-31 08:31 StingRay Note Added: 0006305
2018-07-31 08:31 StingRay Status confirmed => resolved
2018-07-31 08:31 StingRay Resolution no change required => fixed
+Issue History